#pragma once

#include "CoreMinimal.h"
#include "TryksCardEffect.h"
#include "GameplayTagContainer.h"
#include "InteractableCardEffectBase.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew)
class UInteractableCardEffectBase : public UTryksCardEffect
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	FGameplayTag _playerInteractionPreventionTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _interactableActivatedStateTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _auraRevealRange;

public:
	UInteractableCardEffectBase();
};

FORCEINLINE uint32 GetTypeHash(const UInteractableCardEffectBase) { return 0; }
